# OutputPin in embedded_hal::digital - Rust
Single digital push-pull output pin
Keywords: rust, rustlang, rust-lang, OutputPin

# Trait embedded_hal::digital::OutputPin

source · [−]

    pub trait OutputPin {
        type Error;
        fn try_set_low(&mut self) -> Result<(), Self::Error>;
        fn try_set_high(&mut self) -> Result<(), Self::Error>;
    }

Expand description

Single digital push-pull output pin

## Associated Types

source

#### type Error

Error type

## Required methods

source

#### fn try_set_low(&mut self) -> Result<(), Self::Error>

Drives the pin low

NOTE the actual electrical state of the pin may not actually be low, e.g. due to external electrical sources

source

#### fn try_set_high(&mut self) -> Result<(), Self::Error>

Drives the pin high

NOTE the actual electrical state of the pin may not actually be high, e.g. due to external electrical sources

## Implementors